__UtilPrivilegedAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class __UtilPrivilegedAccess

    java.lang.Object
      net.ctdp.rfdynhud.util.__UtilPrivilegedAccess

    public class __UtilPrivilegedAccess

extends java.lang.Object

Don't use this at home!

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`__UtilPrivilegedAccess()`

Method Summary
`static java.io.File` | `forceLoadConfiguration(ConfigurationLoader loader, java.io.File file, WidgetsConfiguration widgetsConfig, LiveGameData gameData, boolean isEditorMode)`
`static TransformableTexture[]` | `getSubTextureArray(SubTextureCollector collector, boolean sort)`
`static void` | `loadFactoryDefaults(ConfigurationLoader loader, WidgetsConfiguration widgetsConfig, LiveGameData gameData, boolean isEditorMode)`

`static void`

`reloadConfiguration(ConfigurationLoader loader, java.io.File configFolder, boolean smallMonitor, boolean bigMonitor, boolean isInGarage, java.lang.String modName, java.lang.String vehicleClass, java.lang.String vehicleName, SessionType sessionType, WidgetsConfiguration widgetsConfig, LiveGameData gameData, boolean isEditorMode, boolean force)`

`static void` | `updateLocalizationsManager(GameFileSystem fileSystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### __UtilPrivilegedAccess

    public __UtilPrivilegedAccess()

Method Detail

### updateLocalizationsManager

    public static void updateLocalizationsManager(GameFileSystem fileSystem)

### forceLoadConfiguration

    public static java.io.File forceLoadConfiguration(ConfigurationLoader loader,
                                                      java.io.File file,
                                                      WidgetsConfiguration widgetsConfig,
                                                      LiveGameData gameData,
                                                      boolean isEditorMode)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFactoryDefaults

    public static void loadFactoryDefaults(ConfigurationLoader loader,
                                           WidgetsConfiguration widgetsConfig,
                                           LiveGameData gameData,
                                           boolean isEditorMode)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### reloadConfiguration

    public static void reloadConfiguration(ConfigurationLoader loader,
                                           java.io.File configFolder,
                                           boolean smallMonitor,
                                           boolean bigMonitor,
                                           boolean isInGarage,
                                           java.lang.String modName,
                                           java.lang.String vehicleClass,
                                           java.lang.String vehicleName,
                                           SessionType sessionType,
                                           WidgetsConfiguration widgetsConfig,
                                           LiveGameData gameData,
                                           boolean isEditorMode,
                                           boolean force)

### getSubTextureArray

    public static final TransformableTexture[] getSubTextureArray(SubTextureCollector collector,
                                                                  boolean sort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD